-- print('starting...')
-- host:print('host:print()')

--dir = 'D:\\ZHENGHE\\Zoogoo\\v3.0\\Maxshop\\Apps\\outs\\Tiger\\logs\\err'

-- import("mscorlib","System")


function skip(filepath)
    text = host:readalltext(filepath) 
    --math不支持中文math(中文会被当成乱码处理,暂无解,暂时只能在服务端进行处理)
    text = decode(text)

    r = string.match(text, '连xxx接xxx方')
        	or string.match(text,'连接方')
			or string.match(text,'线程间')
			or string.match(text,'端口%com%不存在')
			or string.match(text,'Connection must be valid and open')
			or string.match(text,'Uschedule.schedsvc')
			or string.match(text,'远程主机强迫关闭')
			or string.match(text,'n_onlinepay_ynnx')
			or string.match(text,'xxxxxxx')
			or string.match(text,'NLua')
			or string.match(text,'服装商品')
			or string.match(text,'无法连接服务器')
			or string.match(text,'盘点日期太久')
			or string.match(text,'Data too long for column')
			or string.match(text,'正由另一进程使用')
			or string.match(text,'业务日期错误')
			or string.match(text,'无效的供应商合同')
			or string.match(text,'-upd-')
			or string.match(text,'不知道这样的主机')
			or string.match(text,'请求的名称有效')
			or string.match(text,'n_onlinepay_zhrj.VipInfoTraffic')
			or string.match(text,'签名不正确')
			or string.match(text,'CSharpCode.SharpZipLib.Zip.Zip')
			or string.match(text,'trying to get lock')
			or string.match(text,'其它用户')
			or string.match(text,'库存数量不足')
			or string.match(text,'不属于')
			or string.match(text,'Fatal error encountered')
			or string.match(text,'Lock wait timeout')
			or string.match(text,'续款日期')
			or string.match(text,'日期不能')
			or string.match(text,'开始日期')
			or string.match(text,'已经审核')
			or string.match(text,'大于库存')
			or string.match(text,'期间不正')
			or string.match(text,'部门不能')
			or string.match(text,'已经记帐')
			or string.match(text,'已审核')
			or string.match(text,'信息读取失败')
			or string.match(text,'连接失败')
			or string.match(text,'操作已超时')
			or string.match(text,'未审核')
			or string.match(text,'不允许取消')
			or string.match(text,'无效的提货卡续款单')
			or string.match(text,'版本太旧')
			or string.match(text,'卡类型不正确')
			or string.match(text,'已超时')
			or string.match(text,'AuthenError')
			or string.match(text,'不允许为空')
			or string.match(text,'禁止取消')
			or string.match(text,'子表数据')
			or string.match(text,'有效部门')
			or string.match(text,'商品数量')
			or string.match(text,'性质为联营')
			or string.match(text,'不能取消')
			or string.match(text,'盘点扎帐')
			or string.match(text,'盘点期间')
			or string.match(text,'实售价不能')
			or string.match(text,'无效供应商')
			or string.match(text,'合同无效')
			or string.match(text,'必须指定')
			or string.match(text,'券份额')
			or string.match(text,'已领过')
			or string.match(text,'into sys_lock')
			or string.match(text,'shutdown in progress')
			or string.match(text,'付款帐户')
			or string.match(text,'计价方式')
			or string.match(text,'存在小数')
			or string.match(text,'子表无有效')
			or string.match(text,'收货数量错误')
			or string.match(text,'必须为末级')
			or string.match(text,'不允许删除')
			or string.match(text,'子码性质')
			or string.match(text,'续款金额')
			or string.match(text,'already exists')
			or string.match(text,'puma.sys_logs')
			or string.match(text,'部门错误')
			or string.match(text,'搭赠数量')
			or string.match(text,'无效的修正部门')
			or string.match(text,'不允许进行本项操作')
			or string.match(text,'主机中的软件中止')
			or string.match(text,'未能解析')
			or string.match(text,'单位错误')
			or string.match(text,'Unable to connect to any')
			or string.match(text,'远程服务器返回错误')
			or string.match(text,'非本地部门')
			or string.match(text,'已经存在')
			or string.match(text,'库存不足')
			or string.match(text,'已经存在')
			or string.match(text,'开始日期错误')
			or string.match(text,'套接字操作尝试一个无法连接的主机')
			or string.match(text,'进价大于')
			or string.match(text,'类别长度')
			or string.match(text,'付款金额大于')
			or string.match(text,'HttpBrokerRequest.cs')
			or string.match(text,'未能获取卡号')
			or string.match(text,'无效的卡号')
			or string.match(text,'不能包含非数字')
			or string.match(text,'Duplicate entry')
			or string.match(text,'数据库读取失败')
			or string.match(text,'操作超时')
			or string.match(text,'业务日期无效')
			or string.match(text,'商品资料类别')
			or string.match(text,'单据不存在')
			or string.match(text,'connection is not open')
			or string.match(text,'盘点门店')
			or string.match(text,'网关调用出现未知异常')
			or string.match(text,'password did not')
			or string.match(text,'读取失败')
			or string.match(text,'为计数商品')
			or string.match(text,'组装商品无子码')
			or string.match(text,'商品整件数量错误')
			or string.match(text,'由于目标计算机积极拒绝')
			or string.match(text,'好码齐')
			or string.match(text,'性质与供应商经营')
			or string.match(text,'不能跨日期')
			or string.match(text,'cannot be null')
			or string.match(text,'供应商编号无效')
			or string.match(text,'结束日期不正确')
			or string.match(text,'being used by another process')
			or string.match(text,'总部调整')
			or string.match(text,'未在合同中')
			or string.match(text,'类别的长度')
			or string.match(text,'主机名解析')
			or string.match(text,'可执行文件不是此操作')
			or string.match(text,'打印机')
			or string.match(text,'存在库存')
			or string.match(text,'日期错误')
			or string.match(text,'不允许入帐')
			or string.match(text,'收货部门')
			or string.match(text,'无效的供应商编号')
			or string.match(text,'联营扣率错误')
			or string.match(text,'商品编码生成冲突')
			or string.match(text,'单位长度')
			or string.match(text,'条码重复')
			or string.match(text,'资料类别')
			or string.match(text,'Out of range value for column')
			or string.match(text,'未正确配置')
			or string.match(text,'自动选择批次')
			or string.match(text,'实盘单汇总')
			or string.match(text,'主供应商调整')
			or string.match(text,'先进行商品校验')
			or string.match(text,'长度不正确')
			or string.match(text,'条码与商品编号重复')
			or string.match(text,'手机号与会员手机号不匹配')
			or string.match(text,'对路径')
			or string.match(text,'无对应商品资料')
			or string.match(text,'Timeout expired')
			or string.match(text,'Timeout in IO operation')
			or string.match(text,'未设定正确销售码')
			or string.match(text,'组装商品主码性质')
			or string.match(text,'必须为最末级')
			or string.match(text,'盘点前数据禁止')
			or string.match(text,'未录入商品')
			or string.match(text,'内存不足')
			or string.match(text,'不允许门店')
			or string.match(text,'手机号')
			or string.match(text,'进价不允许高于')
			or string.match(text,'性质不是')
			or string.match(text,'重复记帐')
			or string.match(text,'转入与转出金额')
			or string.match(text,'尝试读取超出')
			or string.match(text,'商品已撤柜')
			or string.match(text,'未设置子码')
			or string.match(text,'达量促销数')
			or string.match(text,'数量不能小于')
			or string.match(text,'into who')
			or string.match(text,'.who')
			or string.match(text,'进销状态')
			or string.match(text,'已存在其它合同')
			or string.match(text,'经营方式')
			or string.match(text,'进程正在')
			or string.match(text,'修正门店')
			or string.match(text,'小于当前日期')
			or string.match(text,'存在调高和高低')
			or string.match(text,'供应商名称')
			or string.match(text,'颜色不存在')
			or string.match(text,'无应付款')
			or string.match(text,'配送单号')
			or string.match(text,'请录入收银机号')
			or string.match(text,'一张单据仅允许录入')
			or string.match(text,'不能重复')
			or string.match(text,'错误的规则类型')
			or string.match(text,'未设置部门')
			or string.match(text,'当文件已存在时')
			or string.match(text,'超过合同允许')
			or string.match(text,'价格错误')
			or string.match(text,'进销存扎帐')
			or string.match(text,'商品库存异常')
			or string.match(text,'无有效的合同')
			or string.match(text,'调整数量必须')
			or string.match(text,'禁止删除')
			or string.match(text,'禁止修改')
			or string.match(text,'未能找到文件')
			or string.match(text,'Access to the path')
			or string.match(text,'Connection was killed')
			or string.match(text,'The remote name could not')
			or string.match(text,'超过允许值')
			or string.match(text,'子表无效')
			or string.match(text,'先进行退货处理')
			or string.match(text,'类别无效')
			or string.match(text,'支付金额必须大于')
			or string.match(text,'必须选择批次')
			or string.match(text,'不允许存在')
			or string.match(text,'超过允许值')
			or string.match(text,'子表无效')
			or string.match(text,'先进行退货处理')
			or string.match(text,'合同与经营方')
			or string.match(text,'暂不支持的操作')
			or string.match(text,'acctype不正确')
			or string.match(text,'未进行盘盈商品成本处')
			or string.match(text,'换入book_id不能为空')
			or string.match(text,'未能找到路径')
			or string.match(text,'可用积分不足')
			or string.match(text,'存在多条记录')
			or string.match(text,'不能修改性质')
			or string.match(text,'商品订单无效')
			or string.match(text,'未在该供应商')
			or string.match(text,'票据数据发生改变')
			or string.match(text,'该卡状态为')
			or string.match(text,'结束日期无效')
			or string.match(text,'旧密码校验失败')
			or string.match(text,'续款门店不存在')
			or string.match(text,'无效的客户')
			or string.match(text,'指定的文件')
			or string.match(text,'子表不能为空')
			or string.match(text,'数量错误')
			or string.match(text,'修正单数量')
			or string.match(text,'录入调差')
			or string.match(text,'母码与子码部门')
			or string.match(text,'remote server returned an error')
			or string.match(text,'不知道这样的主机')
			or string.match(text,'成品供应商不正确')
			or string.match(text,'非单品散货')
			or string.match(text,'Could not find')
			or string.match(text,'商品编码与条码冲突')
			or string.match(text,'请检查连接至该')
			or string.match(text,'商品性质错误')
			or string.match(text,'Connection fails')
			or string.match(text,'Data Source=')
			or string.match(text,'正在中止线程')
			or string.match(text,'服务器关闭了')
			or string.match(text,'必须输入修正原因')
			or string.match(text,'无效的验收单号')
			or string.match(text,'子表信息异常')
			or string.match(text,'cannot be called while doing')
			or string.match(text,'w_label_user_defined')
			or string.match(text,'合同号错误')
			or string.match(text,'DisplayClass21_0.<DisplayProviderPirceInfo>')
			or string.match(text,'.psr')
			or string.match(text,'对端口')
			or string.match(text,'部门不正确')
			or string.match(text,'端口被关闭')
			or string.match(text,'日期无效')
			or string.match(text,'验收供应商与订单')
			or string.match(text,'无效的收银员编号')
			or string.match(text,'送券类型无效')
			or string.match(text,'单据大类为空')
			or string.match(text,'向一个无法连接的网络')
			or string.match(text,'_verify')
			or string.match(text,'损坏且无法')
			or string.match(text,'业务日期')
			or string.match(text,'基础连接已经关闭')
			or string.match(text,'套接字没有连接')
			or string.match(text,'收银员不能为空')
			or string.match(text,'位数必须相同')
			or string.match(text,'商品子码无效')
			or string.match(text,'部门非')
			or string.match(text,'发现的地址')
			or string.match(text,'underlying connection was closed')
			or string.match(text,'不允许小于')
			or string.match(text,'无效的会员卡号')
			or string.match(text,'因为持续时间过长')
			or string.match(text,'复制内存时检测')
			or string.match(text,'The operation has timed out')
			or string.match(text,'空间不足')
			or string.match(text,'不允许复核')
			or string.match(text,'已注册有会员卡')
			or string.match(text,'禁止审核')
			or string.match(text,'无法连接读写器')
			or string.match(text,'换入卡号有误')
			or string.match(text,'收银机不允许超过')
			or string.match(text,'子表不正确')
			or string.match(text,'关键列')
			or string.match(text,'FindRow had')
			or string.match(text,'startAcceptV6')
			or string.match(text,'结算超额')
			or string.match(text,'未进行盘盈成本处理')
			or string.match(text,'aliyun')
			or string.match(text,'卡号长度与系统配置不符')
			or string.match(text,'另一个程序正在使用此文件')
			or string.match(text,'没有数据接收方')
			or string.match(text,'门店无效')
			or string.match(text,'商品编号错误')
			or string.match(text,'无效的变价单号')
			or string.match(text,'无效的付款码')
			or string.match(text,'无效的会员卡')
			or string.match(text,'无效的票据类型')
			or string.match(text,'无效商品资料')
			or string.match(text,'修正机构非本店的子店')
			or string.match(text,'支付失败')
			or string.match(text,'通常每个套接字地址')
			or string.match(text,'无效的DM登记单')
			or string.match(text,'整件商品定价错误')
			or string.match(text,'所请求的剪贴板操作失败')
			or string.match(text,'兑换规则已过期')
			or string.match(text,'指定不存在的设备')
			or string.match(text,'帐表金额与票据金额')
			or string.match(text,'严重高于')
			or string.match(text,'不允许使用联营单品')
			or string.match(text,'当天盘点')
			or string.match(text,'另一个程序')
			or string.match(text,'票据已付款')
			or string.match(text,'无效的商品资料')
			or string.match(text,'部门信息验证失败')
			or string.match(text,'is read only')
			or string.match(text,'check that column/key exists')
			or string.match(text,'No space left on device')
			or string.match(text,'No more room in record file')
			or string.match(text,'check that it exists')
			or string.match(text,'read past the end')
			or string.match(text,'放弃了一个已建立')
			or string.match(text,'扎帐日期小于')
			or string.match(text,'部门无效')
			or string.match(text,'商品错误')
			or string.match(text,'不允许刷除')
			or string.match(text,'不允许删除')
			or string.match(text,'不能完成兑换')
			or string.match(text,'开放平台无此接口')
			or string.match(text,'联系客服进行测试')
			or string.match(text,'无效的退货单号')
			or string.match(text,'Requested Clipboard operation')
			or string.match(text,'实盘数量小于')
			or string.match(text,'返现日期必须为当日')
			or string.match(text,'单据号生成失败')
			or string.match(text,'未正确设置的组装商品')
			or string.match(text,'ACCKD异常')
			or string.match(text,'未正确设置服务器信息')
			or string.match(text,'n_onlinepay_scnx')
			or string.match(text,'GetUpdatePackage')
			or string.match(text,'结算单号无效')
			or string.match(text,'数据录入不完整')
			or string.match(text,'无效的商品性质')
			or string.match(text,'无效的调整类型')
			or string.match(text,'FastReport')
			or string.match(text,'不允许入库')
			or string.match(text,'尚有负库存销售未抵扣')
			or string.match(text,'zgScale.w_djform')
			or string.match(text,'无效的单号')
			or string.match(text,'服务器不可用')
			or string.match(text,'not complete successfully')
			or string.match(text,'no DataWindow object')
			or string.match(text,'SqlDateTime overflow')
			or string.match(text,'DataWindowLoadFailedException')
			or string.match(text,'允许同时存在退货与销售')
			or string.match(text,'该类型票据仅适用于总部')
			or string.match(text,'公共语言运行时')
			or string.match(text,'供应商不允许修改')
			or string.match(text,'提货卡余额不足')
			or string.match(text,'不能完成支付')
			or string.match(text,'系统配置错误TR')
			or string.match(text,'供应商不正确')
			or string.match(text,'当前状态禁止')
			or string.match(text,'服务器地址为空')
			or string.match(text,'非本地票据,禁止操作')
			or string.match(text,'票据金额与帐表金额不一致')
			or string.match(text,'可付款余额异常')
			or string.match(text,'未能创建 SSL/TLS')
			or string.match(text,'尺码不存在')
			or string.match(text,'机构代码无效')
			or string.match(text,'请选择要退货的门店')
			or string.match(text,'未正确设置子商品信息')
			or string.match(text,'不允许为未级')
			or string.match(text,'System.Data.SQLite.SQLiteConnection.CheckDisposed')
			or string.match(text,'请求的名称有效')
			or string.match(text,'由于目标机器积极拒绝')
			or string.match(text,'生产日期不能大于验收日期')
			or string.match(text,'在数据库查找中出现一个不可恢复的错误')
			or string.match(text,'一个封锁操作被对')
			or string.match(text,'以一种访问权限不允许的方式做了一个访问套接字的尝试')
			or string.match(text,'请先修改资料中的进价')
			or string.match(text,'请设置正确的调整项目')
			or string.match(text,'错误的会员卡类型')
			or string.match(text,'AuthenError')
			or string.match(text,'返现金额必须大于')
			or string.match(text,'管道的另一端上无任何进程')
			or string.match(text,'未正确录入库存修正部门')
			or string.match(text,'批次不正确')
			or string.match(text,'商品已锁定')
			or string.match(text,'必须输入会员卡')
			or string.match(text,'请设置其它付款方式')
			or string.match(text,'暂时只支持单个供应商调整')
			or string.match(text,'发生其它业务')
			or string.match(text,'门店取消复核后才能取消')

    --r = host:IndexOf(text, '连接方')
    if r then
        return true
    else
        return false
    end
end

return skip(dir)